:host {
  //this component root selector i.e <app-toast>
  display: flex;
  align-items: center;
  font-size: 13px;
  padding: 10px;
}

:host(.alert-snack-success) {
  color: #dff0d8;
  background-color: #3c763d;
  border-color: #d6e9c6;
}

:host(.alert-snack-error) {
  // background-color: #C04848;
  // color: #F9ECED;
  // border-color: #ebccd1;
  color: white;
  background-color: #a94442; //bootstrap css error color theme
  // background-color: $app-warn-mat-color;//@import 'src/scss/_variable-mat-theme' to use it
}

:host(.alert-snack-warning) {
  background-color: #8a6d3b;
  color: #fcf8e3;
  border-color: #faebcc;
}

:host(.alert-snack-info) {
  background-color: #31708f;
  color: #d9edf7;
  border-color: #bce8f1;
}

.alert-icon {
  padding-right: 10px;
}

.alert-title {
  margin: 0;
}

.alert-message {
  margin: 5px 0 0 0;
}
